Bug 1518753 - [F28 change] apt-cacher-ng should not require tcp_wrappers
Summary: [F28 change] apt-cacher-ng should not require tcp_wrappers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apt-cacher-ng
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kenjiro Nakayama
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:45 UTC by Jakub Jelen
Modified: 2018-08-07 00:12 UTC (History)
1 user (show)

Fixed In Version: apt-cacher-ng-3.1-4.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-19 11:09:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 14:45:22 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 1 Fedora Update System 2017-12-04 02:12:47 UTC
apt-cacher-ng-3.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9ee75dcc2

Comment 2 Fedora Update System 2017-12-08 23:26:40 UTC
apt-cacher-ng-3.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f9ee75dcc2

Comment 3 Fedora Update System 2017-12-09 00:02:24 UTC
apt-cacher-ng-3.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-739dc23a93

Comment 4 Fedora End Of Life 2018-02-20 15:35:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Jakub Jelen 2018-03-19 11:09:51 UTC
This seems to be resolved by the mass rebuild in F28. Thank you.

Comment 6 Fedora Update System 2018-07-29 03:13:41 UTC
apt-cacher-ng-3.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bebcc57931

Comment 7 Fedora Update System 2018-07-29 23:51:11 UTC
apt-cacher-ng-3.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bebcc57931

Comment 8 Fedora Update System 2018-08-07 00:12:00 UTC
apt-cacher-ng-3.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.